.card {
    width: fit-content;
    height: fit-content;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    margin: 0;
    padding: 0;
    box-shadow: none;
}

.socialContainer {
    width: 40px;
    height: 40px;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition-duration: .3s;
    border-radius: 6px;
    border: 1px solid #e0e0e0;
}

/* Facebook */
.containerOne:hover {
    background-color: #4267B2;
    border-color: #4267B2;
    transition-duration: .3s;
}

/* Instagram */
.containerTwo:hover {
    background-color: #d62976;
    border-color: #d62976;
    transition-duration: .3s;
}

/* TikTok */
.containerThree:hover {
    background-color: #000000;
    border-color: #000000;
    transition-duration: .3s;
}

.socialContainer:active {
    transform: scale(0.9);
    transition-duration: .3s;
}

.socialSvg {
    width: 17px;
    fill: #6D597A;
}

.socialContainer:hover .socialSvg {
    fill: #ffffff;
    animation: slide-in-top 0.3s both;
}

@keyframes slide-in-top {
    0% {
        transform: translateY(-50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

/* Update footer styles */
.footer {
    padding: 1.25rem;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1.25rem;
}

.footer-logo, .spacer {
    flex: 1;
}

.footer-links {
    flex: 2;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.footer-bottom {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
}

.footer-bottom p {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    margin: 0;
}

.card {
    display: flex;
    align-items: center;
    gap: 0.75rem;
    margin-left: auto;
}

.footer-content p {
    grid-area: copyright;
    text-align: center;
    margin-top: 20px;
}

/* Mobile responsiveness */
@media screen and (max-width: 768px) {
    .footer-top {
        flex-direction: column;
        gap: 1rem;
    }

    .footer-bottom {
        flex-direction: column;
        gap: 1rem;
        padding: 0;
        position: static;
    }

    .footer-bottom p {
        position: static;
        transform: none;
    }

    .footer-links {
        flex-direction: column;
        gap: 1rem;
    }

    .card {
        margin-left: 0;
    }

    .card p {
        margin-right: 0;
        margin-bottom: 10px;
    }
} 